org.apache.hc.core5.http2.frame

## Class FrameFactory

- java.lang.Object
- - org.apache.hc.core5.http2.frame.FrameFactory

- Direct Known Subclasses:
    DefaultFrameFactory

      public abstract class FrameFactory
      extends Object

  Abstract `RawFrame` factory that supports standard HTTP/2 `FrameType`s.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract RawFrame` | `createContinuation(int streamId, ByteBuffer payload, boolean endHeaders)`
    `abstract RawFrame` | `createData(int streamId, ByteBuffer payload, boolean endStream)`
    `RawFrame` | `createGoAway(int lastStream, H2Error error, String message)`
    `abstract RawFrame` | `createHeaders(int streamId, ByteBuffer payload, boolean endHeaders, boolean endStream)`
    `RawFrame` | `createPing(ByteBuffer opaqueData)`
    `RawFrame` | `createPingAck(ByteBuffer opaqueData)`
    `abstract RawFrame` | `createPushPromise(int streamId, ByteBuffer payload, boolean endHeaders)`
    `RawFrame` | `createResetStream(int streamId, H2Error error)`
    `RawFrame` | `createResetStream(int streamId, int code)`
    `RawFrame` | `createSettings(H2Setting... settings)`
    `RawFrame` | `createSettingsAck()`
    `RawFrame` | `createWindowUpdate(int streamId, int increment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameFactory

          public FrameFactory()

  - ### Method Detail

    - #### createSettings

          public RawFrame createSettings(H2Setting... settings)

    - #### createSettingsAck

          public RawFrame createSettingsAck()

    - #### createResetStream

          public RawFrame createResetStream(int streamId,
                                            H2Error error)

    - #### createResetStream

          public RawFrame createResetStream(int streamId,
                                            int code)

    - #### createPing

          public RawFrame createPing(ByteBuffer opaqueData)

    - #### createPingAck

          public RawFrame createPingAck(ByteBuffer opaqueData)

    - #### createGoAway

          public RawFrame createGoAway(int lastStream,
                                       H2Error error,
                                       String message)

    - #### createHeaders

          public abstract RawFrame createHeaders(int streamId,
                                                 ByteBuffer payload,
                                                 boolean endHeaders,
                                                 boolean endStream)

    - #### createContinuation

          public abstract RawFrame createContinuation(int streamId,
                                                      ByteBuffer payload,
                                                      boolean endHeaders)

    - #### createPushPromise

          public abstract RawFrame createPushPromise(int streamId,
                                                     ByteBuffer payload,
                                                     boolean endHeaders)

    - #### createData

          public abstract RawFrame createData(int streamId,
                                              ByteBuffer payload,
                                              boolean endStream)

    - #### createWindowUpdate

          public RawFrame createWindowUpdate(int streamId,
                                             int increment)

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.